%define majver %(echo %version | cut -d. -f1-2)
Name:          network-manager-applet
Version:       0.9.10.0
Release:       1mamba
Summary:       A GNOME applet to control network connections
Group:         Graphical Desktop/Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://projects.gnome.org/NetworkManager/
Source:        http://ftp.gnome.org/pub/GNOME/sources/network-manager-applet/%{majver}/network-manager-applet-%{version}.tar.xz
Patch0:        %{name}-0.8.2-dbus-policy-sysadmin.patch
Patch1:        %{name}-0.9.8.8-dont_autostart_in_kde.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libexpat-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglade-devel
BuildRequires: libglib-devel
BuildRequires: libglitz-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgtk-devel
BuildRequires: libnm-devel
BuildRequires: libnotify-devel
BuildRequires: libnspr
BuildRequires: libnss
BuildRequires: libpango-devel
BuildRequires: libpixman-devel
BuildRequires: libpng-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: libselinux-devel
BuildRequires: libstdc++6-devel
BuildRequires: libuuid-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libxcb-util-devel
BuildRequires: libXdmcp-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: libz-devel
BuildRequires: ORBit2-devel
BuildRequires: udev-devel
## AUTOBUILDREQ-END
BuildRequires: intltool
BuildRequires: libdbus-glib-tools
BuildRequires: libsecret-devel
Requires:      NetworkManager
Requires:      ModemManager
Requires:      gnome-keyring
Requires(post):hicolor-icon-theme
Requires:      notification-daemon
Requires:      networkmanagervpnplugin
Requires:      dconf
Provides:      networkmanagergui
Obsoletes:     wicd
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

# Missing deps:
# checking for gnome-bluetooth... checking for GNOME_BLUETOOTH... no

%description
A GNOME applet to control network connections.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description devel
A GNOME applet to control network connections.

This is the development package for the libraries.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1

%build
%configure \
   --with-gtk=3 \
   CFLAGS="%{optflags} -Wno-error=deprecated-declarations"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang nm-applet

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
   gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null
fi
:

%postun
if [ $1 -eq 0 ]; then
   gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null
fi
:

%files -f nm-applet.lang
%defattr(-,root,root)
#%{_sysconfdir}/gconf/schemas/nm-applet.schemas
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_bindir}/nm-applet
%{_bindir}/nm-connection-editor
%{_libdir}/libnm-gtk.so.*
%{_libdir}/girepository-1.0/NMGtk-1.0.typelib
%{_libexecdir}/nm-applet-migration-tool
%{_datadir}/GConf/gsettings/nm-applet.convert
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml
%{_datadir}/applications/nm-applet.desktop
%{_datadir}/applications/nm-connection-editor.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%dir %{_datadir}/libnm-gtk
%{_datadir}/libnm-gtk/wifi.ui
%dir %{_datadir}/nm-applet
%{_datadir}/nm-applet/*
%{_mandir}/man1/nm-applet.1.gz
%{_mandir}/man1/nm-connection-editor.1.gz
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libnm-gtk
%{_includedir}/libnm-gtk/nm-*.h
%{_libdir}/libnm-gtk.a
%{_libdir}/libnm-gtk.la
%{_libdir}/libnm-gtk.so
%{_datadir}/gir-1.0/NMGtk-1.0.gir
%{_libdir}/pkgconfig/libnm-gtk.pc
%doc ChangeLog NEWS

%changelog
* Fri Jul 04 2014 Automatic Build System <autodist@mambasoft.it> 0.9.10.0-1mamba
- automatic version update by autodist

* Mon Jun 30 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.8.10-2mamba
- require dconf

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 0.9.8.10-1mamba
- automatic version update by autodist

* Wed May 28 2014 Automatic Build System <autodist@mambasoft.it> 0.9.8.9-1mamba
- automatic update by autodist

* Tue Nov 12 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8.8-1mamba
- automatic version update by autodist

* Mon Sep 16 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8.4-1mamba
- automatic update by autodist

* Sat Jun 08 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8.2-1mamba
- automatic version update by autodist

* Mon Feb 25 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8.0-1mamba
- automatic version update by autodist

* Fri Oct 26 2012 Automatic Build System <autodist@mambasoft.it> 0.9.6.4-1mamba
- automatic version update by autodist

* Sat Sep 01 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6.2-2mamba
- recompile schemas in xpost and xpostun scripts

* Mon Aug 13 2012 Automatic Build System <autodist@mambasoft.it> 0.9.6.2-1mamba
- automatic version update by autodist

* Mon Apr 02 2012 Automatic Build System <autodist@mambasoft.it> 0.9.4.1-1mamba
- automatic version update by autodist

* Tue Mar 13 2012 Automatic Build System <autodist@mambasoft.it> 0.9.3.995-1mamba
- update to 0.9.3.995

* Fri Jan 27 2012 Automatic Build System <autodist@mambasoft.it> 0.9.2.0-1mamba
- automatic version update by autodist

* Sat Oct 29 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.0-2mamba
- disable autostart in KDE and remove conflict with plasma-applet-networkmanagement

* Wed Aug 24 2011 Automatic Build System <autodist@mambasoft.it> 0.9.0-1mamba
- update to 0.9.0

* Fri Jul 22 2011 Automatic Build System <autodist@mambasoft.it> 0.8.4-1mamba
- update to 0.8.4

* Fri Jun 17 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-7mamba
- replace requirement for VPN plugins with networkmanagervpnplugin

* Wed Jun 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-6mamba
- added requirements for openvpn, pptp and vpnc plugins

* Wed Feb 16 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-5mamba
- added conflict with wicd and plasma-desktop-networkmanagement
- provide networkmanagergui
- require ModemManager

* Sun Jan 30 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-4mamba
- added dbus policy patch to give sysadmin privileges to set NetworkManagerSettings.Connection.Secrets

* Thu Jan 27 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-3mamba
- added requirement for notification-daemon

* Thu Jan 13 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-2mamba
- added post requirement for hicolor-icon-theme

* Fri Dec 03 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-1mamba
- package created by autospec
